﻿Copyright Fluke Calibration. All Rights Reserved.           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix MSO5054: (1 yr) VER VISA /9500+4Hd
DATE:                  2012-08-13 08:07:07
AUTHOR:                Fluke
REVISION:              $Revision: 27038 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       132
CONFIGURATION:         Datron 9500 (C5,S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9510 on channel 3
CONFIGURATION:         Datron 9510 on channel 4
=============================================================================
#
#  Procedure Author:
#        DAC
# 
#  Models covered:
#        MSO5054
# 
#  Source(s):
#        MSO70000C, DSA70000C/D,
#        DPO70000C/D, DPO7000C,
#        MSO5000 and DPO5000
#        Series Oscilloscopes
#        Specifications and Performance Verification
#        Technical Reference
#        Revision F
#        PN 077-0063-07
# 
#  Compatibility:
#        MET/CAL 7.3.38 or later
#
#  Subprocedures:
#        Sub Tek DPO5034/5054 (1 yr) VER VISA /9500+4Hd
#        Sub Display Copyright
#        Sub Tek MSO/DPO5000 Remote Interface Connection
#        Sub IEEE-488.2 *IDN? VISA
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 *IDN? Check Response
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Verification Method (No NTHROW)
#        Sub Tek MSO/DPO5000 Preliminary Instructions
#        Sub Tek MSO/DPO5000 Additional Equipment Req.
#        Sub Tek MDO/MSO/DPO Self-Test VISA
#        Sub Tek MDO/MSO/DPO Signal Path Comp Cal VISA
#        Sub Tek DPO5000 (1 yr) Input Impedance VER VISA /9500
#        Sub Tek DPO5000 (1 yr) DC Balance VER VISA
#        Sub Tek DPO5000 (1 yr) DCV Gain Acc VER VISA /9500
#        Sub Tek DPO5000 (1 yr) Offset Acc VER VISA /9500
#        Sub Tek DPO5034/5054 (1 yr) Bandwidth VER VISA /9500+S6
#        Sub Tek DPO5000 (1 yr) Sample Rate VER VISA /9500
#        Sub Tek DPO5034/5054 (1 yr) Random Noise VER VISA
#        Sub Tek DPO5000 (1 yr) Delta Time Acc VER VISA /9500
#        Sub Tek DPO5000 (1 yr) Trigger Output VISA
#        Sub Tek MSO (1 yr) Digital Threshold VER VISA /9500
#        Sub Tek MSO (1 yr) Digital Theshold Test VISA /9500
#        Sub Tek MSO Get Digital Threshold Values VISA /9500
#        Sub Tek MSO Read Digital Data VISA
#        Sub Tek MDO/MSO/DPO Select Channel VISA
#        Sub Tek MDO/MSO/DPO Wait for OPC VISA
#        Sub Hex to Decimal
#        Sub Decimal to Binary (ASCII)
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
#        50 Ohm feed through teminator (4 ea.)
#        Tektronix TCFA074 Digital Calibration Fixture, PN 067-2121-00
# 
#  The procedure was tested using:
#        Model  No:  MSO5204
#        Serial No:  CQ000021
#        Firmware:   CF:91.1CT FV:6.2.0 Build 26
#        Options:    None
#
#  Average run time during testing w/o SPC: 1 hour, 5 minutes (TAR mode)
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         500MH                        1Vpp           LS    S  L
  1.004  M9500                       CH2
  1.005  9500         500MH                        1Vpp           LS    S  L
  1.006  M9500                       CH3
  1.007  9500         500MH                        1Vpp           LS    S  L
  1.008  M9500                       CH4
  1.009  9500         500MH                        1Vpp           LS    S  L
  1.010  ENDIF

  1.011  MATH         @DUT_Manufacturer = "Tektronix"
  1.012  MATH         @DUT_Model        = "MSO5054"
  1.013  MATH         @Bandwidth        = 500E+6
  1.014  MATH         @NumChan          = 4

  1.015  CALL         Sub Tek DPO5034/5054 (1 yr) VER VISA /9500+4Hd
  1.016  JMPL         ABORT                            @Abort

  1.017  CALL         Sub Tek MSO (1 yr) Digital Threshold VER VISA /9500
  1.018  JMPL         ABORT                            @Abort

  1.019  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.020  END

  1.021  LABEL        ABORT
  1.022  HEAD         V E R I F I C A T I O N   A B O R T E D
  1.023  END
